Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.m4a.impl
Class M4AService

    java.lang.Object
      org.red5.io.BaseStreamableFileService
          org.red5.io.m4a.impl.M4AService

All Implemented Interfaces:
  IStreamableFileService, IM4AService

    public class M4AService

extends BaseStreamableFileService
implements IM4AService

A M4AServiceImpl sets up the service and hands out M4A objects to its callers.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire, (mondain@gmail.com)

Constructor Summary
`M4AService()`

Method Summary
`Deserializer` | `getDeserializer()` Getter for deserializer
`String` | `getExtension()` Getter for extension of file
`String` | `getPrefix()` Getter for prefix.
`Serializer` | `getSerializer()` Getter for serializer
`IStreamableFile` | `getStreamableFile(File file)` Return streamable file reference.
`void` | `setDeserializer(Deserializer deserializer)` Sets the deserializer
`void` | `setExtension(String extension)` Sets the file extensions serviced.
`void` | `setPrefix(String prefix)` Sets the prefix.
`void` | `setSerializer(Serializer serializer)` Sets the serializer

Methods inherited from class org.red5.io.BaseStreamableFileService
`canHandle, prepareFilename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.red5.io.IStreamableFileService
`canHandle, prepareFilename`

Constructor Detail

### M4AService

    public M4AService()

Method Detail

### setPrefix

    public void setPrefix(String prefix)

  Sets the prefix.

  Specified by:
    `setPrefix` in interface `IStreamableFileService`
  Overrides:
    `setPrefix` in class `BaseStreamableFileService`

### getPrefix

    public String getPrefix()

  Getter for prefix. Prefix is used in filename composition to fetch real file name.

  Specified by:
    `getPrefix` in interface `IStreamableFileService`
  Specified by:
    `getPrefix` in class `BaseStreamableFileService`
  Returns:
    Prefix

### setExtension

    public void setExtension(String extension)

  Sets the file extensions serviced. If there are more than one, they are separated by commas.

  Specified by:
    `setExtension` in interface `IStreamableFileService`
  Overrides:
    `setExtension` in class `BaseStreamableFileService`

### getExtension

    public String getExtension()

  Getter for extension of file

  Specified by:
    `getExtension` in interface `IStreamableFileService`
  Specified by:
    `getExtension` in class `BaseStreamableFileService`
  Returns:
    File extension that is used

### setSerializer

    public void setSerializer(Serializer serializer)

  Sets the serializer

  Specified by:
    `setSerializer` in interface `IM4AService`
  Parameters:
    `serializer` - Serializer object

### setDeserializer

    public void setDeserializer(Deserializer deserializer)

  Sets the deserializer

  Specified by:
    `setDeserializer` in interface `IM4AService`
  Parameters:
    `deserializer` - Deserializer object

### getStreamableFile

    public IStreamableFile getStreamableFile(File file)
                                      throws IOException

  Return streamable file reference. For FLV files returned streamable file already has generated metadata injected.

  Specified by:
    `getStreamableFile` in interface `IStreamableFileService`
  Specified by:
    `getStreamableFile` in class `BaseStreamableFileService`
  Parameters:
    `file` - File resource
  Returns:
    Streamable file resource
  Throws:
    `IOException` - Thrown if there were problems accessing given file

### getSerializer

    public Serializer getSerializer()

  Getter for serializer

  Returns:
    Serializer

### getDeserializer

    public Deserializer getDeserializer()

  Getter for deserializer

  Returns:
    Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project